#!/bin/bash

function writeLog {
PY_CODE="import sys
sys.path.append('/linuxcash/cash/tools/tools_avail/py_tools')
from logger import logger
logger.Logger().info('$1')"
python -c "$PY_CODE"
}

function getMenuName {
PY_CODE="import parse_menu_item
print parse_menu_item.listItems('menu')[int($1) - 1].label"
python -c "$PY_CODE"
}

tmpf=/tmp/cashexit6.dlg
trap "[ -f $tmpf ] && rm -f $tmpf" 0 1 2 5 15

while [ 0 ] ; do   

    python make_menu.py | xargs dialog 2> $tmpf

    ret=$?

    case $ret in
        0)
            if test -s $tmpf; then
                id=`cat $tmpf`
                logMessage=`getMenuName $id`
                writeLog "Переход в меню \'$logMessage\'"
                . `python ith.py $id`
                writeLog "Выход из меню \'$logMessage\'"
            fi
        ;;
        1)
        ;;
        255)
        ;;
    esac

done

if [ "$exit_code" == "3" ]; then
    /sbin/shutdown -r now
fi
